Bug 1495860 - transtats-cli: python2-transtats-cli requires both Python 2 and Python 3
Summary: transtats-cli: python2-transtats-cli requires both Python 2 and Python 3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transtats-cli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sundeep Anand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2017-09-26 12:53 UTC by Iryna Shcherbina
Modified: 2017-11-11 19:16 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-11 03:04:42 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-09-26 12:53:22 UTC
The python2-transtats-cli RPM requires both Python 2 and Python 3.

The Python 2 subpackage contains a Python 3 executable, as it gets overridden in the %install section, and thus drugs in Python 3 as a dependency:

$ dnf --disablerepo=* --enablerepo=rawhide repoquery --requires python2-transtats-cli
/usr/bin/python3
python(abi) = 2.7
...

According to the Fedora Packaging guidelines for Python [0], if the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable should be packaged. I believe this is the case for this package, so please fix this in Rawhide.

If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks

Comment 1 Iryna Shcherbina 2017-10-11 14:29:50 UTC
I have prepared a Pagure PR with the fix for the issue:

https://src.fedoraproject.org/rpms/transtats-cli/pull-request/1

Please review it and merge at will.

Comment 2 Sundeep Anand 2017-10-12 08:14:57 UTC
Thanks Iryna. I'm in middle of something, shall look at it shortly.

Comment 3 Sundeep Anand 2017-10-25 06:12:14 UTC
merged.

Comment 4 Fedora Update System 2017-10-25 08:39:10 UTC
transtats-cli-0.1.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b32198cae9

Comment 5 Fedora Update System 2017-10-25 08:54:47 UTC
transtats-cli-0.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-efaf876fe5

Comment 6 Fedora Update System 2017-10-25 09:39:06 UTC
transtats-cli-0.1.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-90a7e0a4f7

Comment 7 Fedora Update System 2017-10-25 09:44:36 UTC
transtats-cli-0.1.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fddd1a263e

Comment 8 Fedora Update System 2017-10-26 14:08:33 UTC
transtats-cli-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fddd1a263e

Comment 9 Fedora Update System 2017-10-27 18:44:12 UTC
transtats-cli-0.1.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-90a7e0a4f7

Comment 10 Fedora Update System 2017-11-11 03:04:42 UTC
transtats-cli-0.1.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-11-11 19:16:11 UTC
transtats-cli-0.1.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.